Request authorization for access to resources
This endpoint is used to request authorization from the user for access to the requested resources. After the user approves the request, an authorization code is returned to the client. See https://openid.net/specs/openid-4-verifiable-credential-issuance-1_0.html#name-authorization-endpoint See https://www.rfc-editor.org/rfc/rfc6749.html#section-3.1
Analytics Events
response_type*"code"The response type, which must be 'code'.
"code"client_id*stringThe client identifier.
redirect_uri*stringThe URI to which the authorization server will redirect the user-agent with the authorization code.
scope*stringThe scope of the access request.
state?stringAn opaque value used by the client to maintain state between the request and callback.
code_challenge_method*"S256"The method used to derive the code_challenge, which must be 'S256'.
"S256"code_challenge*stringA high entropy random challenge generated by the client.
Redirection to client application with authorization code
curl -X GET "https://example.com/v1/oauth/authorize?response_type=code&client_id=string&redirect_uri=string&scope=string&code_challenge_method=S256&code_challenge=string"How would you rate this page?
Delete a Pre-authorized Code credential offer DELETE
Delete an [OID4VCI Pre-authorized Code](https://openid.net/specs/openid-4-verifiable-credential-issuance-1_0.html#section-4.1) credential offer.
Exchange authorization code for access token POST
This endpoint is used to exchange an authorization code or a pre-authorized code for an access token, which is later used to request a credential. - In an Authorization Code flow the authorization code is obtained from the authorization endpoint after the user has successfully authenticated. - In a Pre-authorized Code flow the pre-authorized code is obtained from the offer URI. See [https://openid.net/specs/openid-4-verifiable-credential-issuance-1_0.html#name-token-endpoint](https://openid.net/specs/openid-4-verifiable-credential-issuance-1_0.html#name-token-endpoint) for more information. When the session binds claim sets, `authorization_details` is determined by the credential issuer. A request that includes `authorization_details` is rejected with `invalid_authorization_details`. Claim set identifiers are offered as an **open beta preview** feature and are not generally available yet. They are available on all tenants, and their behavior may change in a way that breaks existing integrations before they become generally available.